mode: predict
debug: False
experiment_name: quick_inference_skin
resume_from_checkpoint: experiments/skin/articulation-xl/model.ckpt

components:
  data: quick_inference
  transform: inference_skin_transform
  model: unirig_skin
  system: skin
  data_name: predict_skeleton.npz # capture data from ar phase

writer:
  __target__: skin
  output_dir: results
  add_num: False
  repeat: 1
  save_name: predict
  export_npz: predict_skin # this must be specified if textured results are required
  export_fbx: result_fbx

trainer:
  num_nodes: 1
  devices: 1
  precision: bf16-mixed
  accelerator: gpu
  strategy: ddp
  inference_mode: True
